指定した組織の設定に関する詳細を返します。このリソースを使用するには、リクエストするサービスアカウントまたは API キーに Organization Member のロールが必要です。
プロジェクトを含む組織を識別する一意の 24 桁の 16 進数 string。認証済みユーザーがアクセスできるすべての組織を取得するには、/orgs エンドポイントを使用します。
形式は次のパターンと一致する必要があります: ^([a-f0-9]{24})$。
アプリケーションがレスポンスを envelope JSON オブジェクトにラップするかどうかを示すフラグ。一部の API クライアントは、HTTP レスポンス ヘッダーまたはステータス コードにアクセスできません。これを修正するには、クエリで envelope=true を設定します。結果のリストを返すエンドポイントは、結果オブジェクトをエンベロープとして使用します。アプリケーションは、レスポンス本体にステータス パラメータを追加します。
デフォルト値はfalseです。
レスポンス本体を pretty-print 形式にするかどうかを示すフラグ。
デフォルト値はfalseです。
curl \
--request GET 'https://cloud.mongodb.com/api/atlas/v1.0/orgs/4888442a3354817a7320eb61/settings' \
--header "Authorization: Bearer $ACCESS_TOKEN"
{
"apiAccessListRequired": true,
"customSessionTimeouts": {
"absoluteSessionTimeoutInSeconds": 42,
"idleSessionTimeoutInSeconds": 42
},
"genAIFeaturesEnabled": true,
"maxServiceAccountSecretValidityInHours": 42,
"multiFactorAuthRequired": true,
"restrictEmployeeAccess": true,
"securityContact": "string",
"streamsCrossGroupEnabled": true
}
{
"detail": "(This is just an example, the exception may not be related to this endpoint)",
"error": 401,
"errorCode": "NOT_ORG_GROUP_CREATOR",
"reason": "Unauthorized"
}
{
"detail": "(This is just an example, the exception may not be related to this endpoint)",
"error": 403,
"errorCode": "CANNOT_CHANGE_GROUP_NAME",
"reason": "Forbidden"
}
{
"detail": "(This is just an example, the exception may not be related to this endpoint) Cannot find resource AWS",
"error": 404,
"errorCode": "RESOURCE_NOT_FOUND",
"reason": "Not Found"
}
{
"detail": "(This is just an example, the exception may not be related to this endpoint)",
"error": 500,
"errorCode": "UNEXPECTED_ERROR",
"reason": "Internal Server Error"
}